<?xml version="1.0" encoding="utf-8"?>
<manifest
	xmlns:android="http://schemas.android.com/apk/res/android"
	package="dbcheck.keymon.lat"
	android:versionCode="1"
	android:versionName="3.08.31"
	android:installLocation="internalOnly">
	
	<uses-sdk android:minSdkVersion="5" android:targetSdkVersion="31"/>
	<supports-screens android:largeScreens="true" 
	    android:normalScreens="true" 
	    android:smallScreens="true" 
	    android:anyDensity="true"/>
	<uses-permission android:name="android.permission.INTERNET"/>
	<uses-permission android:name="android.permission.FOREGROUND_SERVICE"/>
	<uses-permission android:name="android.permission.WAKE_LOCK"/>
	<uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>
	<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
	<application
		android:icon="@drawable/icon"
		android:label="DBCheck"
		android:theme="@style/LightTheme"
		android:usesCleartextTraffic="true"
		android:allowBackup="false">
		<activity
			android:windowSoftInputMode="stateHidden"
			android:launchMode="singleTop"
			android:name=".main"
			android:label="DBCheck"
			android:screenOrientation="portrait"
			android:exported="true">
			<intent-filter>
			   <action android:name="android.intent.action.MAIN" />
			   <category android:name="android.intent.category.LAUNCHER" />
			</intent-filter>
			
			<intent-filter>
			<action android:name="android.intent.action.VIEW" />
			<category android:name="android.intent.category.DEFAULT" />
			<data android:mimeType="application/octet-stream" />
			</intent-filter>
		</activity>
		<service
			android:name=".starter"
			android:exported="true">
		</service>
		<receiver
			android:name=".starter$starter_BR"
			android:exported="true">
		</receiver>
		<service
			android:name=".httputils2service"
			android:exported="true">
		</service>
		<receiver
			android:name=".httputils2service$httputils2service_BR"
			android:exported="true">
		</receiver>
		<service
			android:name=".newinst2"
			android:exported="true">
		</service>
		<receiver
			android:name=".newinst2$newinst2_BR"
			android:exported="true">
		</receiver>
	</application>
</manifest>